OSTREE ADMIN PREPARE(1)

NAME
ostree-admin-prepare-soft-reboot - Prepare the target deployment (via index) for soft reboot

SYNOPSIS

ostree admin prepare-soft-reboot {INDEX}

DESCRIPTION

Prepare (or unset) the deployment at INDEX for a systemd soft reboot by mounting /run/nextroot. INDEX must be in range and not reference the currently booted deployment.

It is not supported to soft reboot into a deployment with a different kernel state (including initramfs) than the booted one.

If a soft reboot is initiated for a deployment that is not staged, while a staged deployment is active, the staged deployment will be automatically cleared.

OPTIONS

--reboot
    Initiate a soft reboot.

--reset
    Clear a pending soft reboot state instead of initializing one. When this is provided, a deployment index is not required.

SEE ALSO

systemd-soft-reboot.service(8)